# svn co -r 2663 https://svn.linuxsampler.org/svn/libgig/trunk libgig
%define svn 2663

Summary: C++ library for accessing Gigasampler, DLS, SF, KORG, AKAI files.
Name: libgig
Version: 3.3.0
Release: 3%{?svn:.svn%{svn}.1}%{?dist}
License: GPL
Group: System Environment/Libraries
Source0: libgig-%{version}%{?svn:-svn%{svn}}.tar.bz2
URL: http://www.linuxsampler.org/libgig/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Distribution: Planet CCRMA
Vendor: Planet CCRMA

BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: libsndfile-devel audiofile-devel doxygen
%if 0%{?fedora} >= 12
BuildRequires: libuuid-devel
%else
BuildRequires: e2fsprogs-devel
%endif

%description
libgig is a C++ library for reading, modifying and creating Gigasampler /
GigaStudio (.gig) files, DLS (Downloadable Sounds) Level 1/2 files, SoundFont
version 2 (.sf2) and KORG sound files (.KMP and .KSF). These files are
typically used in modern day audio waveform samplers and synthesizer keyboards.
.
Since the Gigasampler / GigaStudio and DLS formats are based ontop of the
binary RIFF container format, this library also provides convenient access to
RIFF files in general.
.
This package also contains a Linux/POSIX ported version of libakai, which
provides support for reading Akai formated medias (CDRoms, HDs, Zip disks).
Currently Akai S1000, S01, S2000 and S3000 series are supported.

%package devel
Summary: C++ library for accessing Gigasampler, DLS, SF, KORG, AKAI files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libgig is a C++ library for reading, modifying and creating Gigasampler /
GigaStudio (.gig) files, DLS (Downloadable Sounds) Level 1/2 files, SoundFont
version 2 (.sf2) and KORG sound files (.KMP and .KSF). These files are
typically used in modern day audio waveform samplers and synthesizer keyboards.
.
Since the Gigasampler / GigaStudio and DLS formats are based ontop of the
binary RIFF container format, this library also provides convenient access to
RIFF files in general.
.
This package also contains a Linux/POSIX ported version of libakai, which
provides support for reading Akai formated medias (CDRoms, HDs, Zip disks).
Currently Akai S1000, S01, S2000 and S3000 series are supported.
.
This package contains the header files needed for development with libgig.
You will need this only if you intend to compile programs that use this
library.

%prep
%setup -q -n libgig%{!?svn:-%{version}}
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
%configure
%{__make} %{?__smp_mflags}
%{__make} docs

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}
%{makeinstall}
# add path to libgig libraries
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo "%{_libdir}/libgig" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/libgig.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_bindir}/*
%{_libdir}/libgig/libgig.so*
%{_libdir}/libgig/libakai.so*
%{_mandir}/man1/*
%{_sysconfdir}/ld.so.conf.d/libgig.conf

%files devel
%defattr(-,root,root)
%doc doc/html/*
%{_libdir}/libgig/libgig.a
%exclude %{_libdir}/libgig/libgig.la
%{_libdir}/pkgconfig/gig.pc
%{_libdir}/libgig/libakai.a
%exclude %{_libdir}/libgig/libakai.la
%{_libdir}/pkgconfig/akai.pc
%{_includedir}/*

%changelog
* Thu Jul  3 2014 Nils Tonnaett <nils.tonnaett@gmx.net> 3.3.0-1.svn2663
- update to svn 2663

* Wed May 30 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.0-6.svn2346.1
- update to svn 2346 (matches new fc17 linuxsampler)

* Wed Mar  7 2012 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.0-3.svn2325
- update to current svn for bzf support

* Tue May 25 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.0-2
- add uuid-devel build dependency on fc >= 12

* Sat Nov  7 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.3.0-1
- updated to 3.3.0
- added e2fsprogs-devel build requirement (for uuid generation)

* Tue May 13 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.2.1-1
- updated to version 3.2.1
- added patch from libgig cvs to fix build on gcc 4.3 for f9

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.2.0-1
- updated to version 3.2.0

* Mon Jul  2 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.1.1-1
- updated to version 3.1.1

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.1.0-1
- updated to version 3.1.0

* Sat May 20 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 3.0.0-1
- updated to version 3.0.0

* Fri Nov 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.2-0.1.cvs
- experimental cvs version with write support
  cvs -z3 -d:pserver:anonymous@cvs.linuxsampler.org:/var/cvs/linuxsampler co libgig

* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.1-1
- updated to 2.0.1

* Fri May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.0.0-1
- updated to 2.0.0

* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- packaged for Planet CCRMA from original spec file in tarball
- spec file tweaks

* Wed Nov 24 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- prepared for 1.0.0

* Sat Jul 10 2004 Christian Schoenebeck <cuse@users.sourceforge.net>
- renamed 'libgig.pc' to 'gig.pc' as well as the pkg-config lib name

* Wed Jul 02 2004 Rui Nuno Capela <rncbc@users.sourceforge.net>
- Created and corrected initial libgig.spec
